Package: groovy.xml.slurpersupport

## [Java] Class NoChildren

- groovy.xml.slurpersupport.NoChildren

-     public class NoChildren
      extends GPathResult

  Lazy evaluated representation of a GPath expression returning no children. As this class represents a GPath expression with no results, all methods are either NOPs or return an empty result.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NoChildren(GPathResult parent, String name, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `appendNode(Object newValue)` NOP
    `` | `public boolean` | `asBoolean()` Returns `false`.
    `` | `public void` | `build(GroovyObject builder)` NOP
    `` | `public Iterator` | `childNodes()` Returns an empty `Iterator`.
    `` | `public GPathResult` | `find(Closure closure)` Returns `this`.
    `` | `public GPathResult` | `findAll(Closure closure)` Returns `this`.
    `` | `public boolean` | `hasNext()`
    `` | `public Iterator` | `iterator()` Returns an empty `Iterator`.
    `` | `public Object` | `next()`
    `` | `public Iterator` | `nodeIterator()` Returns an empty iterator.
    `` | `public GPathResult` | `parents()` Throws a `GroovyRuntimeException`, because it is not implemented yet.
    `` | `public void` | `remove()`
    `` | `protected void` | `replaceBody(Object newValue)` NOP
    `` | `protected void` | `replaceNode(Closure newValue)` NOP
    `` | `public int` | `size()` Returns `0`.
    `` | `public String` | `text()` Returns an empty `String`.
    `` | `public Writer` | `writeTo(Writer out)` Does not write any output, just returns the writer.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, createIterator, declareNamespace, depthFirst, doCall, doCall, equals, find, findAll, getAt, getAt, getAttribute, getAttribute, getBody, getProperty, hasNext, hasNext, hasNext, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, next, next, next, nodeIterator, parent, parents, plus, plus, pop, putAt, remove, remove, remove, replaceBody, replaceNode, setAttribute, setAttribute, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public NoChildren(GPathResult parent, String name, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### @Override
      protected void appendNode(Object newValue)

      NOP

    - #### public boolean asBoolean()

      Returns `false`.

      Returns:
        `false`

    - #### @Override
      public void build(GroovyObject builder)

      NOP

    - #### @Override
      public Iterator childNodes()

      Returns an empty `Iterator`.

      Returns:
        an empty `Iterator`

    - #### @Override
      public GPathResult find(Closure closure)

      Returns `this`.

      Returns:
        `this`

    - #### @Override
      public GPathResult findAll(Closure closure)

      Returns `this`.

      Returns:
        `this`

    - #### @Override
      public boolean hasNext()

    - #### @Override
      public Iterator iterator()

      Returns an empty `Iterator`.

      Returns:
        an empty `Iterator`

    - #### @Override
      public Object next()

    - #### @Override
      public Iterator nodeIterator()

      Returns an empty iterator.

      Returns:
        an empty iterator

    - #### @Override
      public GPathResult parents()

      Throws a `GroovyRuntimeException`, because it is not implemented yet.

    - #### @Override
      public void remove()

    - #### @Override
      protected void replaceBody(Object newValue)

      NOP

    - #### @Override
      protected void replaceNode(Closure newValue)

      NOP

    - #### @Override
      public int size()

      Returns `0`.

      Returns:
        `0`

    - #### @Override
      public String text()

      Returns an empty `String`.

      Returns:
        an empty `String`

    - #### @Override
      public Writer writeTo(Writer out)

      Does not write any output, just returns the writer.

      Returns:
        the `Writer` which was passed in